Summary: LVM tools
Name: lvm
Version: 1.0.8
Release: 6tr
Source0: ftp://ftp.sistina.com/pub/LVM/1.0/%{name}_%{version}.tar.gz
Source1: lvm.initd
Source2: lvm.sysconfig
Patch0: lvm-no_nb.patch
Patch1: lvm-installowner.patch
Patch2: lvm-1.0.8-tempfile.patch
License: GPL
Group: Trustix Official
URL: http://www.sistina.com/lvm
BuildRequires: libtool
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Utilities for the Logical Volume Managment


%package devel
Summary: development libraries for lvm
Group: Trustix Official
Requires: lvm = %{version}-%{release}

%description devel
statical and unstriped dynamical library for lvm development


%prep
%setup -q -n LVM/%{version}
%patch0 -p2
%patch1 -p2
%patch2 -p2


%build
FLAGS=$(echo $RPM_OPT_FLAGS | sed "s|-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -D_LARGEFILE64_SOURCE=1||") \
	./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sbindir=/sbin \
	--libdir=/lib
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin libdir=$RPM_BUILD_ROOT/lib
pushd $RPM_BUILD_ROOT/usr/share/man/man8
gzip *
popd
#force striping of liblvm (keep unstriped version in /usr for debugging)
pushd $RPM_BUILD_ROOT/lib
cp -a * ../usr/lib
strip *
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ABSTRACT CHANGELOG CONTRIBUTORS COPYING COPYING.LIB FAQ
%doc KNOWN_BUGS LVM-HOWTO README TODO WHATSNEW
/sbin/*
/lib/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
/usr/lib/*


%changelog
* Thu Nov  4 2004 Oystein Viggen <oysteivi at trustix dot com> 1.0.8-6tr
- Tempfile patch

* Thu Jan 15 2004 Chr. Toldnes <christht at trustix dot org> 1.0.8-2tr
- Stripped LFS flags from CFLAGS

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 1.0.8-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.7-5tr
- Big rebuild

* Tue Jun  3 2003 Tore Olsen <toreo at trustix dot com> 1.0.7-4to
- added patch to avoid scanning network block devices.
- moved 
- removed init script, done by rc.sysinit.
- make it possible to build lvm as non-root.

* Thu May 22 2003 Goetz Bock <bock at trustix dot org> lvm-1.0.7-3bg
- moved init script to this package
- init script now activates all detected LVs, it none are specified

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.7-2em
- Rebuilt against glibc 2.3.2.

* Thu Mar  6 2003 Goetz Bock <bock at trustix dot org> 1.0.7-1bg
- new upstream: 1.0.7

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.6-3em
- Make setup quiet.
- Clean up macros.

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 1.0.6-2th
- Fixed package Group

* Sun Dec 22 2002 Goetz Bock <bock@blacknet.de> 1.0.6-1bg
- new upstream: 1.0.6
 
* Wed Sep  4 2002 Goetz Bock <bock at trustix dot org> 1.0.5-3bg
- fixed a small bug with the unstriped libraries

* Wed Sep  4 2002 Goetz Bock <bock at trustix dot org> 1.0.5-2bg
- rebuild with gcc 3.2

* Thu Aug 29 2002 Goetz Bock <bock at trustix dot org> 1.0.5-1bg
- new upstreram
- added some build requirements

* Thu Mar 21 2002 Goetz Bock <bock@blacknet.de> 1.0.3-1tr
- remerged man

* Thu Mar 07 2002 Goetz Bock <bock@blacknet.de> 1.0.3-0tr
- update to 1.0.3

* Mon Dec 10 2001 Goetz Bock <bock@blacknet.de> 1.0.1-0bn1tr
- splitted of manpages

